SDL_waylanddyn.h File Reference
`#include "../../SDL_internal.h"`
`#include <stdint.h>`
`#include "wayland-cursor.h"`
`#include "wayland-util.h"`
`#include "xkbcommon/xkbcommon.h"`
`#include "SDL_waylandsym.h"`
`#include "wayland-client-core.h"`
`#include "wayland-client-protocol.h"`
`#include "wayland-egl.h"`
Include dependency graph for SDL_waylanddyn.h:

Go to the source code of this file.

## Macros

#define | SDL_WAYLAND_MODULE(modname) extern int SDL_WAYLAND_HAVE_##modname;
#define | SDL_WAYLAND_SYM(rc, fn, params)
#define | SDL_WAYLAND_INTERFACE(iface) extern const struct wl_interface *WAYLAND_##iface;

## Functions

int | SDL_WAYLAND_LoadSymbols (void)
void | SDL_WAYLAND_UnloadSymbols (void)

## Macro Definition Documentation

## SDL_WAYLAND_INTERFACE

#define SDL_WAYLAND_INTERFACE | ( |  | iface | ) | extern const struct wl_interface *WAYLAND_##iface;

Definition at line 54 of file SDL_waylanddyn.h.

## SDL_WAYLAND_MODULE

#define SDL_WAYLAND_MODULE | ( |  | modname | ) | extern int SDL_WAYLAND_HAVE_##modname;

Definition at line 50 of file SDL_waylanddyn.h.

## SDL_WAYLAND_SYM

#define SDL_WAYLAND_SYM | ( |  | rc,
|  |  | fn,
|  |  | params
| ) |  |

Value:
typedef rc (*SDL_DYNWAYLANDFN_##fn) params; \
extern SDL_DYNWAYLANDFN_##fn WAYLAND_##fn;
params
const GLfloat * params
Definition: SDL_opengl_glext.h:371

Definition at line 51 of file SDL_waylanddyn.h.

## Function Documentation

## SDL_WAYLAND_LoadSymbols()

int SDL_WAYLAND_LoadSymbols | ( | void |  | ) |

## SDL_WAYLAND_UnloadSymbols()

void SDL_WAYLAND_UnloadSymbols | ( | void |  | ) |